Name:          libXi
Version:       1.8.1
Release:       1
Summary:       X.Org X11 libXi runtime library
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: autoconf automake libtool xorg-x11-util-macros libXext-devel xmlto asciidoc
BuildRequires: xorg-x11-proto-devel pkgconfig(inputproto) libX11-devel libXfixes-devel git
Requires:      libX11 >= 1.5.99.902

%description
libXi is the client-side library for the X Input Extension.

%package       devel
Summary:       Development files and Header files for %{name} 
Requires:      %{name} = %{version}-%{release} xorg-x11-proto-devel pkgconfig
Provides:      libXi-static
Obsoletes:     libXi-static

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%configure  --disable-specs
%make_build

%install
%make_install

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/libXi.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_libdir}/*.a
%exclude %{_libdir}/*.la

%files  help
%defattr(-,root,root)
%{_mandir}/man3/*

%changelog
* Fri Oct 20 2023 li weigang - <weigangli99@gmail.com> - 1.8.1-1
- update to version 1.8.1

* Mon Apr 18 2022 hanhui<hanhui15@h-partners.com> - 1.8-2
- delete duplicate package files

* Wed Dec 1 2021 dongyuzhen <dongyuzhen@huawei.com> - 1.8-1
- update to 1.8

* Thu Jul 23 2020 zhouhaibo <zhouhaibo@huawei.com> - 1.7.10-1
-

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.9-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Wed Oct 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.9-10
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:Changed http to https

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.9-9
- Package init
